> ## Documentation Index
> Fetch the complete documentation index at: https://next-developers.opencard.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delivery log



## OpenAPI

````yaml /openapi/ems-api.json get /accounts/{accountId}/organizations/{organizationId}/webhooks/{webhookId}/events
openapi: 3.0.3
info:
  title: OpenCard EMS API
  version: '1.0'
  description: >-
    API for Expense Management Systems. Manage TPAs, organizations, card
    holders, and webhooks. Receive transaction data via webhooks — not by
    polling this API.
  contact:
    email: support@opencard.io
servers:
  - url: https://api.opencard.io/api/v1/application
    description: Production
  - url: https://sandbox-api.opencard.io/api/v1/application
    description: Sandbox
security: []
paths:
  /accounts/{accountId}/organizations/{organizationId}/webhooks/{webhookId}/events:
    get:
      tags:
        - Webhooks
      summary: Delivery log
      operationId: listWebhookEvents
      parameters:
        - $ref: '#/components/parameters/accountId'
        - $ref: '#/components/parameters/organizationId'
        - name: webhookId
          in: path
          required: true
          description: Webhook ID
          schema:
            type: integer
      responses:
        '200':
          description: Events
          content:
            application/json:
              example:
                current_page: 1
                data:
                  - event: card.transaction.authorized
                    status: 200
                per_page: 15
                total: 1
                last_page: 1
      security:
        - opencard_auth:
            - webhook-events-read
components:
  parameters:
    accountId:
      name: accountId
      in: path
      required: true
      description: Your account ID
      schema:
        type: integer
    organizationId:
      name: organizationId
      in: path
      required: true
      description: Organization ID
      schema:
        type: integer
  securitySchemes:
    opencard_auth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.opencard.io/oauth/token
          scopes:
            accounts-read: Read your account
            accounts-write: Update your account
            oauth-clients-read: Read OAuth clients
            oauth-clients-write: Create OAuth clients
            public-records-read: Company registry lookup
            account-tpas-read: Read TPAs
            account-tpas-write: Create TPAs
            account-tpas-delete: Delete TPAs
            account-tpa-signatories-read: Read TPA signatories
            account-tpa-signatories-write: Add TPA signatories
            account-tpa-identities-read: List identities on TPA
            billings-write: Create billing profiles
            card-issuers-read: List available card programs (catalog)
            account-card-issuers-read: List enabled issuers
            account-card-issuers-write: Enable issuers
            account-card-issuers-delete: Disable issuers
            organizations-read: Read organizations
            organizations-write: Create organizations
            card-holders-read: Read card holders
            card-holders-write: Create and update card holders
            card-holders-delete: Delete card holders
            webhooks-read: Read webhooks
            webhooks-write: Create webhooks
            webhook-events-read: Read webhook delivery log
            receipts-write: Scan receipts (OCR)

````